OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PTColStd

# PTColStd_PersistentTransientMap Class Reference

`#include <PTColStd_PersistentTransientMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PTColStd_PersistentTransientMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT PTColStd_PersistentTransientMap & | Assign (const PTColStd_PersistentTransientMap &Other)
PTColStd_PersistentTransientMap & | operator= (const PTColStd_PersistentTransientMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~PTColStd_PersistentTransientMap ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Persistent)&K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Persistent)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Persistent)&K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const Handle(Standard_Persistent)&K) const
const Handle_Standard_Transient & | operator() (const Handle(Standard_Persistent)&K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const Handle(Standard_Persistent)&K)
Handle_Standard_Transient & | operator() (const Handle(Standard_Persistent)&K)
## Private Member Functions
Standard_EXPORT | PTColStd_PersistentTransientMap (const PTColStd_PersistentTransientMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT PTColStd_PersistentTransientMap::PTColStd_PersistentTransientMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

PTColStd_PersistentTransientMap::~PTColStd_PersistentTransientMap | ( |  | ) | `[inline]`

Standard_EXPORT PTColStd_PersistentTransientMap::PTColStd_PersistentTransientMap | ( | const PTColStd_PersistentTransientMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT PTColStd_PersistentTransientMap& PTColStd_PersistentTransientMap::Assign | ( | const PTColStd_PersistentTransientMap & | Other | ) |

Standard_EXPORT Standard_Boolean PTColStd_PersistentTransientMap::Bind | ( | const Handle(Standard_Persistent)& | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& PTColStd_PersistentTransientMap::ChangeFind | ( | const Handle(Standard_Persistent)& | K | ) |

Standard_EXPORT void PTColStd_PersistentTransientMap::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& PTColStd_PersistentTransientMap::Find | ( | const Handle(Standard_Persistent)& | K | ) | const

Standard_EXPORT Standard_Boolean PTColStd_PersistentTransientMap::IsBound | ( | const Handle(Standard_Persistent)& | K | ) | const

void PTColStd_PersistentTransientMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTColStd_PersistentTransientMap::operator new | ( | size_t | size | ) | `[inline]`

void* PTColStd_PersistentTransientMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& PTColStd_PersistentTransientMap::operator() | ( | const Handle(Standard_Persistent)& | K | ) | `[inline]`

const Handle_Standard_Transient& PTColStd_PersistentTransientMap::operator() | ( | const Handle(Standard_Persistent)& | K | ) | const`[inline]`

PTColStd_PersistentTransientMap& PTColStd_PersistentTransientMap::operator= | ( | const PTColStd_PersistentTransientMap & | Other | ) | `[inline]`

Standard_EXPORT void PTColStd_PersistentTransientMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean PTColStd_PersistentTransientMap::UnBind | ( | const Handle(Standard_Persistent)& | K | ) |

The documentation for this class was generated from the following file:

- PTColStd_PersistentTransientMap.hxx